#ifndef WRITER_H
#define WRITER_H

#ifdef __CINT__
struct timeval;
#else
#include <TROOT.h>
#include <sys/time.h>
#endif

typedef unsigned char byte;

class Writer;

class Writer 
{
public:

    static void Ppm(const char *fname, const byte *img);
    static void Png(const char *fname, const byte *buf, struct timeval *date);

    ClassDef(Writer, 0)
};

#endif
